
/*
TASK: lines
LANG: C++
*/

#include <algorithm>
#include <cstdio>
#include <set>
using namespace std;

int a, b;
int was[3005][3005];

int gcd(int a, int b) {
    return !b ? a : gcd(b, a % b);
}
int _count(int x, int y) {
    int answer = 0;
    for (int i = 0; i <= a; ++i)
        for (int j = 0; j <= b; ++j)
            was[i][j] = 0;
    for (int i = 0; i <= a; ++i)
        for (int j = 0; j <= b; ++j) {
            if (was[i][j]) continue;
            was[i][j] = 1;
            int xx, yy;
            int k = 1;
            xx = i - x, yy = j - y;
            while (xx >= 0 && yy >= 0 && xx <= a && yy <= b) {
                was[xx][yy] = 1;
                ++k;
                xx -= x; yy -= y;
            }
            xx = i + x; yy = j + y;
            while (xx >= 0 && yy >= 0 && xx <= a && yy <= b) {
                was[xx][yy] = 1;
                ++k;
                xx += x; yy += y;
            }
            answer += (k >= 2);
        }
    return answer;
}
void read() {
    scanf("%d %d", &a, &b);
}
void solve() {
    int answer = 0;
    for (int i = 0; i <= a; ++i)
        for (int j = 0; j <= b; ++j) {
            if (i + j == 0) continue;
            int x = i, y = j;
            int _gcd = gcd(x, y);
            x /= _gcd;
            y /= _gcd;
            if (gcd(i, j) != 1)
                continue;
            int k = _count(x, y);
            if (x != 0 && y != 0)
                k *= 2;
            answer += k;
        }
    printf("%d\n", answer);
}
int main() {
    read();
    solve();
    return 0;
}
