/*
TASK:jumps
LANG:C++
*/
#include <iostream>
#include <vector>

using namespace std;

typedef pair<int,int> point;

#define x first
#define y second

int n;

bool cmpx (point a, point b)
     {
          return a.x<b.x;
     }

int main()
{
    scanf("%d", &n);
    
    vector<point> v(n);
    vector<int> c(n,0);
    vector<bool> used(n,0);
    
    for (int i=0; i<n; ++i)
        scanf("%d%d", &v[i].x, &v[i].y);
    
    sort(v.begin(), v.end(), cmpx);
    
    vector<point>::iterator it;
    vector<point>::iterator jt=v.begin();
    int k=0;
    for (it=v.begin()+1; it!=v.end(); ++it, jt++)
        if (*it==*jt) { jt->x=jt->y=-1; k++; }
    
    sort(v.begin(), v.end(), cmpx);
    
    for (it=v.begin()+k; it!=v.end(); ++it)
        for (jt=it+1; jt!=v.end(); ++jt)
            if (it->y <= jt->y) c[it-v.begin()]++;
    
    int br=0;
    for (int i=0; i<n; ++i)
        if (!used[c[i]]) { used[c[i]]=1; br++; }
    
    printf("%d\n", br);
    
return 0;
}

