/*
TASK: jumps
LANG: C++
*/

#include <iostream>
#include <vector>
#include <queue>

using namespace std;

struct point
{
 long int x,y;
};

int n;
vector<int> A[1000001];
vector<point> B;
int In[1000001],p[1000001];

bool isOk(point &a,point &b)
{
 return a.x<=b.x && a.y<=b.y;
}

bool isEqual(point &a,point &b)
{
 return a.x==b.x && a.y==b.y;
}

void init()
{
 cin>>n;
 point cur;
 int i,j;
 bool answ;
 
 for(i=0;i<n;i++)
    {cin>>cur.x>>cur.y;
     B.push_back(cur);
     answ=false;
	 for(j=i-1;j>=0;j--)
         {
		 if(isEqual(cur,B[j])) {answ=true;break;}
		 if(isOk(cur,B[j])) {A[i].push_back(j);In[j]++;}
         if(isOk(B[j],cur)) {A[j].push_back(i);In[i]++;}
		 }
		
	 for(j=j+1;answ && j<i;j++)
	     {
		  if(isOk(B[j],cur)) {A[j].pop_back(); In[i]--;}
		  if(isOk(cur,B[j])) {A[i].pop_back(); In[j]--;}
		 } 
    }
} 

void checkInput()
{
 cout<<n<<endl;
 for(int i=0;i<n;i++)
  { cout<<i<<" : ";
    for(int j=0;j<A[i].size();j++)
        cout<<A[i][j]<<" ";
    cout<<"->"<<In[i]<<endl;
  }

}

void topolSort()
{int last;
 queue<int> q;
 for(int i=0;i<n;i++)
    if(!In[i]) {q.push(i);p[i]=-1;}
 
 while(!q.empty())
 {
  int k=q.front(); q.pop(); last=k;

  for(int i=0;i<A[k].size();i++)
   { int v=A[k][i];
     In[v]--;
     if(!In[v]) {q.push(v);p[v]=k;}
	}
 }
 int way=0,g=last;
 while(g!=-1) { way++; g=p[g];}
 cout<<way<<endl;
}

int main()
{
 init();
 
 topolSort();
 
 return 0;
}

