
/*
TASK: jumps
LANG: C++
*/

#include <algorithm>
#include <cstdio>
using namespace std;

struct point {
    int x, y;
    inline bool operator==(const point &b) const {
        return (x == b.x && y == b.y);
    }
    inline bool operator<(const point &b) const {
        if (x != b.x) return (x < b.x);
        else return (y < b.y);
    }
    void show() {
        printf("(%d, %d)\n", x, y);
    }
};

int n;
int dp[1 << 20];
point p[1 << 20];
int seq[1 << 20];
int num[1 << 20];

void read() {
    scanf("%d", &n);
    for (int i = 0; i < n; ++i)
        scanf("%d %d", &p[i].x, &p[i].y);
}
void solve() {
    sort(&p[0], &p[n]);
    n = unique(&p[0], &p[n]) - &p[0];
    memset(&dp, 0, sizeof(dp));
    int answer = 0;
    if (n < 5000) {
        for (int i = 0; i < n; ++i)
            dp[i] = 1;
        for (int i = 0; i < n; ++i) {
            for (int j = i + 1; j < n; ++j) {
                if (p[j].y >= p[i].y) {
                    dp[j] >?= dp[i] + 1;
                }
            }
            answer >?= dp[i];
        }
    } else {
        for (int i = 0; i < n; ++i)
            num[i] = p[i].y;
        int k = 1;
        seq[0] = num[0];
        for (int i = 1; i < n; ++i) {
            if (num[i] >= seq[k - 1]) {
                seq[k++] = num[i];
            } else {
                int w = upper_bound(&seq[0], &seq[k], num[i]) - &seq[0];
                seq[w] = num[i];
            }
        }
        answer = k;
    }
    printf("%d\n", answer);
}
int main() {
    read();
    solve();
    return 0;
}
