/*
TASK: jumps
LANG: C++
*/

#include<cstdio>
#include<stack>
#include<utility>
#include<algorithm>
using namespace std;
#define point pair<int,int>
#define x first
#define y second

point points_in[1048576], points[1048576];
int pprec[1048576];

int n, pn;

inline bool cmp(const point &a, const point &b) {
	if(a.x < b.x) return true;
	if(a.x == b.x && a.y < b.y) return true;
	return false;
}

void input() {
	scanf("%d", &n);
	for(int i = 0; i < n; ++i) {
		scanf("%d%d", &points_in[i].x, &points_in[i].y);
	}
	sort(points_in, points_in+n, cmp);
	points[0] = points_in[0];
	pn = 1;
	for(int i = 1; i < n; ++i) {
		if(points_in[i] != points_in[i-1]) {
			points[pn++] = points_in[i];
		}
	}
}

stack<int> mmax;

int maxp(int p) {
	if(pprec[p]) return pprec[p];
	mmax.push(1);
	for(int i = 0; i < pn; ++i) {
		if(i == p) continue;
		
		if(points[i].x >= points[p].x && points[i].y >= points[p].y) {
			if(maxp(i)+1 > mmax.top()) {
				mmax.pop();
				mmax.push(maxp(i)+1);
			}
		}
	}
	pprec[p] = mmax.top(); mmax.pop();
	return pprec[p];
}

int main() {
	input();
	int mmax = 0;
	for(int i = 0; i < pn; ++i) {
		mmax >?= maxp(i);
	}
	printf("%d\n", mmax);
	return 0;
}
