/*
TASK:JUMPS
LANG:C++
*/

#include <cstdio>
#include <cstdlib>
#define MAXN 1000000
using namespace std;

typedef struct {
    unsigned x, y;
} point;

point p[MAXN];
unsigned n;
bool used[MAXN] = {0};
int compare_x (const void *a, const void *b)
{
    const unsigned *da = (const unsigned *) a;
    const unsigned *db = (const unsigned *) b;
     
    return *da - *db;
}

unsigned jump(unsigned ind)
{
    unsigned j, max;
    used[ind] = 1;
    max = 0;
    for (int i = ind + 1; i < n; ++i) {
        if (p[ind].x <= p[i].x && p[ind].y <= p[i].y && !used[i]) {
            j = jump(i);
            if (j > max) max = j;
        }
    }
    return max + 1;
}


int main()
{
    unsigned i, j, k, br, indmin;
    int determ;
    point min;
    scanf("%d", &n);
    
    for (i = 0; i < n; ++i) 
        scanf("%d%d", &p[i].x, &p[i].y);
    

    qsort(p, n, sizeof(point), compare_x);
    for (i = 0; i < n - 1; i++) 
        if (p[i].x == p[i + 1].x && p[i].y == p[i + 1].y) {
            used[i + 1] = 1;
            i++;
        }
    
    printf("%d\n", jump(0));
    return 0;
}
