/*
TASK:jumps
LANG:C++
*/

#include <iostream>
#include <ios>
#include <list>
#include <vector>

typedef signed   char  int8;
typedef unsigned char  uint8;
typedef signed   short int int16;
typedef unsigned short int uint16;
typedef signed   int int32;
typedef unsigned int uint32;
//typedef signed   __int64 int64;
//typedef unsigned __int64 uint64;

using namespace std;

typedef std::pair<uint32, uint32> point;
typedef std::list<point> pList;
typedef std::vector<pList*> mList;
pList points;
mList paths, stack;

void out_list()
{
    for( pList::iterator itr = points.begin(); itr != points.end(); ++itr)
    {
        cout << (*itr).first << " " << (*itr).second;
        if(itr != points.end())
            cout << endl;
    }
}

int main()
{
    uint32 n;
    cin >> n;
    
    uint32 minx,miny;
    minx = miny = 1000000;
    
    for(uint32 i = 0; i < n; ++i)
    {
        uint32 x,y;
        cin >> x >> y;
        if(x < minx && y < miny)
            minx = x, miny = y;
        
        points.push_back(point(x,y));
    }
    
    points.sort(std::less<point>());
    
    //int prev
    for(pList::iterator itr = points.begin(); itr!= points.end(); ++itr)
    {
        if(paths.empty())
        {
            pList *path = new pList;
            path->push_back(*itr);
            paths.push_back(path);
            continue;
        }
        
        point now = *itr;
        
        for(mList::iterator itr2 = paths.begin(); itr2 != paths.end(); ++itr2)
        {
            point p = *((*itr2)->rbegin());
            pList *l = *itr2;
            
            if(now.first == p.first)
            {
                if(now.second == p.second)
                    continue;
                
                l->push_back(now);
                          
                /* if(l->size() < 1)
                {
                    l->pop_back();
                    l->push_back(now);
                }
                else
                {
                    mList::iterator prev = (*itr2).rbegin();
                    std::advance(prev, 1);
                    if( (*prev).second <= now.second) )
                    {
                        l->pop_back();
                        l->push_back(now);
                    }
                }*/
            }
            else
            {
                if(now.second < p.second)
                {
                    
                    pList *new_list = new pList;
                    bool begin = false;
                    for(pList::reverse_iterator itr3 = l->rbegin(); itr3!= l->rend(); ++itr3)
                    {
                        if(!begin)
                            if((*itr3).second <= now.second)
                                begin = true;
                        
                        if(begin)
                            new_list->push_back(*itr3);
                    }
                    new_list->push_back(now);
                    stack.push_back(new_list);
                }
                else
                    l->push_back(now);
            }
            
        }
        
        for(mList::iterator itr2 = stack.begin(); itr2 != stack.end(); ++itr2)
            paths.push_back(*itr2);
        
        stack.clear();           
    }
    
    int size = 0;
    for(mList::iterator itr2 = paths.begin(); itr2 != paths.end(); ++itr2)
        if((*itr2)->size() > size)
            size = (*itr2)->size();
    
    cout << size;
    
    return 0;
}
